#ifndef LOG_H
#define LOG_H  1


/* ========================================================================== */
/* Include files */

#include <stdio.h>


/*! \addtogroup LOGGING */
/* @{ */


/* @} */


/* ========================================================================== */
/* Function prototypes */

extern char*  log_get_logpathname(void);
extern void  log_delete_logfile(void);
extern int  log_open_logfile(FILE**, const char*);
extern void  log_close_logfile(FILE**);
extern void  log_add(FILE*,  const char*);
extern void  log_free(void*);


#endif  /* LOG_H */

/* EOF */
